NWebsec 4.2.0

NWebsec is an easy to use security library for ASP.NET applications. With a few lines of config it lets you set important security headers, detect potentially dangerous redirects, control cache headers, and remove version headers. See project website for documentation.

There is a newer version of this package available.
See the version list below for details.
Install-Package NWebsec -Version 4.2.0
dotnet add package NWebsec --version 4.2.0
<PackageReference Include="NWebsec" Version="4.2.0" />
For projects that support PackageReference, copy this XML node into the project file to reference the package.
paket add NWebsec --version 4.2.0
The NuGet Team does not provide support for this client. Please contact its maintainers for support.

Release Notes

This release adds support for the CSP upgrade-insecure-requests directive. See release notes on GitHub for details.

This package is not used by any popular GitHub repositories.

Version History

Version Downloads Last updated
6.0.0 13,356 1/13/2020
6.0.0-195.rc 89 2/12/2020
6.0.0-188.rc 199 1/12/2020
5.1.1 843,449 3/26/2018
5.1.0 1,072 3/25/2018
5.0.0 2,659 3/13/2018
4.3.0 305,216 12/7/2016
4.2.0 176,223 10/25/2015
4.1.1 22,784 6/17/2015
4.1.0 1,113 6/13/2015
4.0.0 10,630 2/16/2015
3.2.0 21,464 10/13/2014
3.1.0 1,003 10/7/2014
3.0.2 3,688 4/18/2014
3.0.1 5,344 1/30/2014
3.0.0 3,057 11/12/2013
2.2.1 6,663 4/29/2013
2.2.0 1,001 4/1/2013
2.1.0 1,537 2/17/2013
2.0.1 1,058 2/8/2013
2.0.0 1,106 2/3/2013
1.1.1 1,196 10/8/2012
1.1.0 1,069 10/7/2012
1.0.2 1,056 9/2/2012
1.0.1 1,066 8/20/2012
Show less